import { Repository } from "typeorm";
import { DriverReview } from "../../common/driverreview/driver-review.entity";
import { CreateDriverReviewDto } from "./create-driver-review.dto";
export declare class DriverReviewService {
    private reviewRepo;
    constructor(reviewRepo: Repository<DriverReview>);
    createReview(userId: string, dto: CreateDriverReviewDto): Promise<DriverReview>;
    getDriverReviews(driverId: string): Promise<DriverReview[]>;
    getDriverAverage(driverId: string): Promise<{
        avgRating: number;
        totalReviews: number;
    }>;
}
